package com.qmth.themis.business.bean.mobile;

import com.qmth.themis.common.enums.Source;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel("登录返回信息")
public class MobileAuthorizationMonitorBean  extends MobileAuthorizationBean{

	
	@ApiModelProperty("监控线路标识")
	private String monitorKey;
	
	@ApiModelProperty("当前设备代表的视频源: mobile_first|mobile_second")
	private Source monitorVideoSource;

	@ApiModelProperty("是否启用当前设备的音频播放与麦克风采集")
	private Boolean monitorAudioEnable;

	@ApiModelProperty("加入房间用户ID")
	private String monitorUserId;
	@ApiModelProperty("用户认证签名")
	private String monitorUserSig;

	public String getMonitorUserId() {
		return monitorUserId;
	}

	public void setMonitorUserId(String monitorUserId) {
		this.monitorUserId = monitorUserId;
	}

	public String getMonitorUserSig() {
		return monitorUserSig;
	}

	public void setMonitorUserSig(String monitorUserSig) {
		this.monitorUserSig = monitorUserSig;
	}

	public String getMonitorKey() {
		return monitorKey;
	}

	public void setMonitorKey(String monitorKey) {
		this.monitorKey = monitorKey;
	}

	public Source getMonitorVideoSource() {
		return monitorVideoSource;
	}

	public void setMonitorVideoSource(Source monitorVideoSource) {
		this.monitorVideoSource = monitorVideoSource;
	}

	public Boolean getMonitorAudioEnable() {
		return monitorAudioEnable;
	}

	public void setMonitorAudioEnable(Boolean monitorAudioEnable) {
		this.monitorAudioEnable = monitorAudioEnable;
	}
	
}
